import * as IORedis from 'ioredis';
import { Id, listener } from './types';
declare type Pending = {
    stream: string;
    group: string;
    consumer: string;
    id: Id;
    created: Date;
    waiting: number;
    deliveries: number;
};
declare type ConsumerOptions = {
    block?: number;
    count?: number;
    from?: string;
};
declare class Consumer<T = any> {
    private stream;
    private group;
    private consumer;
    private readonly client;
    private readonly block;
    private readonly count;
    private readonly from;
    private running;
    private checkBacklog;
    private reading;
    constructor(client: IORedis.Redis, stream: string, group: string, consumer: string);
    constructor(client: IORedis.Redis, stream: string, group: string, consumer: string, opts: ConsumerOptions);
    constructor(uri: string, stream: string, group: string, consumer: string);
    constructor(uri: string, stream: string, group: string, consumer: string, opts: ConsumerOptions);
    [Symbol.asyncIterator](): AsyncIterableIterator<[string, T]>;
    disconnect(): void;
    shutdown(): void;
    on(name: string, callback: listener): IORedis.Redis;
    ack(id: Id): Promise<void>;
    pending(start?: string, end?: string, length?: number): Promise<Pending[]>;
    claim(ids: Id[]): Promise<[string, T][]>;
    deleteConsumer(): Promise<void>;
    private _ensureGroup;
    private _read;
    private _iterate;
}
export default Consumer;
export { Consumer };
