import * as IORedis from 'ioredis';
import { listener } from './types';
declare type WriterOptions = {
    maxLength?: number;
};
declare class Writer<T = any> {
    private stream;
    private client;
    private maxLength;
    constructor(uri: string, stream: string);
    constructor(uri: string, stream: string, opts: WriterOptions);
    constructor(client: IORedis.Redis, stream: string);
    constructor(client: IORedis.Redis, stream: string, opts: WriterOptions);
    write(data: T): Promise<string>;
    on(eventName: string, callback: listener): void;
    disconnect(): void;
}
export default Writer;
export { WriterOptions, Writer };
