import { Emitter } from './types';
/**
 * Fills an array of integers from `1..n`.
 * @param n The count of elements.
 */
declare const fill: (n?: number) => number[];
/**
 * Returns a promise which resolves the first time a given event is raised.
 * @param emitter The emitter to listen to.
 * @param eventName The event name to listen for.
 */
declare const on: (emitter: Emitter, eventName: string) => Promise<{}>;
/**
 * Returns a promise which resolves after `ms` milliseconds.
 * @param ms The number of milliseconds in which to resolve.
 */
declare const sleep: (ms?: number) => Promise<{}>;
export { fill, on, sleep };
